net.sf.jasperreports.engine.export

## Class JRXmlExporterParameter

- java.lang.Object
- - net.sf.jasperreports.engine.JRExporterParameter
  - - net.sf.jasperreports.engine.export.JRXmlExporterParameter

- Deprecated.
  Replaced by `XmlExporterOutput`.

      public class JRXmlExporterParameter
      extends JRExporterParameter

  Contains parameters useful for export in XML format. The generated XML has a custom structure whose DTD defintion can be found in the net.sf.jasperreports.engine.dtds package of the JasperReports library. Because of this custom format it's easy to import back the XML file to a `JasperPrint` object.

  The report images can be either stored internally in the resulting XML document or as separate files on disk. The internally stored images are saved as BASE64 encoded byte arrays in CDATA sections.

  Version:
    $Id: JRXmlExporterParameter.java 6725 2013-11-11 12:58:18Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static JRXmlExporterParameter` | `IS_EMBEDDING_IMAGES` Deprecated. Replaced by `XmlExporterOutput.isEmbeddingImages()`.

    - ### Fields inherited from class net.sf.jasperreports.engine.JRExporterParameter

      `CHARACTER_ENCODING, CLASS_LOADER, END_PAGE_INDEX, FILE_RESOLVER, FILTER, HYPERLINK_PRODUCER_FACTORY, IGNORE_PAGE_MARGINS, INPUT_FILE, INPUT_FILE_NAME, INPUT_STREAM, INPUT_URL, JASPER_PRINT, JASPER_PRINT_LIST, OFFSET_X, OFFSET_Y, OUTPUT_FILE, OUTPUT_FILE_NAME, OUTPUT_STREAM, OUTPUT_STRING_BUFFER, OUTPUT_WRITER, PAGE_INDEX, PARAMETERS_OVERRIDE_REPORT_HINTS, PROGRESS_MONITOR, PROPERTY_CHARACTER_ENCODING, PROPERTY_EXPORT_PARAMETERS_OVERRIDE_REPORT_HINTS, PROPERTY_IGNORE_PAGE_MARGINS, START_PAGE_INDEX, URL_HANDLER_FACTORY`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `JRXmlExporterParameter(java.lang.String name)` Deprecated.

  - ### Method Summary

    - ### Methods inherited from class net.sf.jasperreports.engine.JRExporterParameter

      `toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### IS_EMBEDDING_IMAGES

          public static final JRXmlExporterParameter IS_EMBEDDING_IMAGES

      Deprecated. Replaced by `XmlExporterOutput.isEmbeddingImages()`.

  - ### Constructor Detail

    - #### JRXmlExporterParameter

          protected JRXmlExporterParameter(java.lang.String name)

      Deprecated.

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com